找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 833|回复: 0

[其他] 解决 AcDbDictionary::setAt()方法返回Acad::eWrongObjectType错误

[复制链接]

已领礼包: 145个

财富等级: 日进斗金

发表于 2021-1-16 00:54:42 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
问题:

Acad::eWrongObjectType error with AcDbDictionary::setAt()


解答:

So what could cause the AcDbDictionary::setAt() to return Acad::eWrongObjectType error?

Unfortunately, this error is not documented for the AcDbDictionary::setAt method but there could be a couple of reasons why you could encounter this error.

If you are adding a custom object to the dictionary, you need to register that class with AutoCAD. If not, this could be the source of error.

In the acrxEntryPoint's kInitAppMsg handler of the application, add:

<custom_object_name here>::rxInit () ;
acrxBuildClassHierarchy () ;
Within the kUnloadAppMsg handler:

deleteAcRxClass (<custom_object_name here>::desc ()) ;
If you adding another object which isn't a custom object, or if you did what is explained above, then it means you are trying to add an object which can't sit into a AcDbDictionary object such as an entity (a graphical object).

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-4-16 18:26 , Processed in 0.300202 second(s), 31 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表